# Covid Tracker - A covid-19 statistics app

![build-release](https://github.com/arafaysaleem/covid_tracker/workflows/build-release/badge.svg) ![PR Merge](https://github.com/arafaysaleem/covid_tracker/workflows/PR%20Merge/badge.svg) ![Test PR](https://github.com/arafaysaleem/covid_tracker/workflows/Test%20PR/badge.svg) [![GitHub release](https://img.shields.io/github/release/arafaysaleem/covid_tracker?color=blue)](https://github.com/arafaysaleem/covid_tracker/releases) [![GitHub stars](https://img.shields.io/github/stars/arafaysaleem/covid_tracker?color=orange)](https://github.com/arafaysaleem/covid_tracker/stargazers) [![GitHub issues](https://img.shields.io/github/issues/arafaysaleem/covid_tracker?color=red)](https://github.com/arafaysaleem/covid_tracker/issues) [![GitHub issues](https://img.shields.io/github/issues-closed/arafaysaleem/covid_tracker?color=brightgreen)](https://github.com/arafaysaleem/covid_tracker/issues?q=is%3Aissue+is%3Aclosed) [![GitHub forks](https://img.shields.io/github/forks/arafaysaleem/covid_tracker?color=yellow)](https://github.com/arafaysaleem/covid_tracker/network) [![License: MIT](https://img.shields.io/github/license/arafaysaleem/covid_tracker)](https://github.com/arafaysaleem/covid_tracker/blob/master/LICENSE) [![made-with-python](https://img.shields.io/badge/Made%20With-Flutter-blue)](https://flutter.dev/)

Covid Tracker is an app made with Flutter framework to provide worldwide information related to Covid-19 pandemic. The api used for the data can be found [here](https://corona.lmao.ninja/docs/). **The release apk is available under the release tags. It's also available on this drive link - [Covid Tracker APK](https://drive.google.com/drive/folders/1xazOX_VaaAPzuccusj-hk0zsPZaomDLc?usp=sharing)**

## Features

  - Global case count.
  - Case, death and recovery count of each country
  - Total tests and infection probability of each country
  - News updates related to vaccine developement
  - Info, symptoms, precautions and myths of the virus
  - Setting a default country

The UI is inspired by [Dribbble](https://dribbble.com/shots/10847147-Coronavirus-Covid-19-Dashboard)

![App Tour](Readme_files/app_tour.gif)
<br></br>
<img src="Readme_files/home_screen.png" width="250" height="501"><img src="Readme_files/country_screen.png" width="250" height="501"><p>&nbsp;</p><img src="Readme_files/global_screen.png" width="250" height="501">
<img src="Readme_files/news_screen.png" width="250" height="501"><br></br><img src="Readme_files/country_list.png" width="250" height="501"><p>&nbsp;</p><img src="Readme_files/credits_screen.png" width="250" height="501">
<img src="Readme_files/precautions_screen.png" width="250" height="501"><p>&nbsp;</p><img src="Readme_files/myths_screen.png" width="250" height="501">


## ⭐ Future Features

  - Drawer for easier navigation
  - Onboarding screens
  - Login authentication using Firebase
  - Maps API to detect nearby danger spots

*Feel free to fork and contribute to include these features.* ❤︎

## 🚀 Technologies

  - [Flutter v1.17.4](https://storage.googleapis.com/flutter_infra/releases/stable/windows/flutter_windows_1.17.4-stable.zip)
  - [Dart v2.8.4](https://dart.dev/get-dart)

## 🤝 Feedback

Feel free to send us feedback on [Twitter](https://twitter.com/gitpointapp) or [file an issue](https://github.com/arafaysaleem/covid_tracker/issues/new). Feature requests are always welcome.

## 📝 License

Licensed under the [MIT License](./LICENSE).
